[INCLUDE]

INCLUDE=common/no_popup_lights.ini

[EXHAUST_FLAMES]
ANTILAG=1 ; turbo antilag, i havent tested this yet
ANTILAG_DELAY=0.0 ; how long after antilag trigger do flames start, in seconds
ANTILAG_INTENSITY=40 ; flame size
ANTILAG_INTERVAL_MAX=9000
ANTILAG_INTERVAL_MIN=2000
ANTILAG_TURBO_THRESHOLD=0.5
DAMAGE=0 ; engine damage? idk
DAMAGE_DURATION=0.00
DAMAGE_INTENSITY=0
DAMAGE_PROBABILITY=0
DISCHARGE=1 ; lifting off the throttle
DI3CHARGE_CHARGE_TIME=0.001 ; how long you have to press the throttle to "charge" the flames
DISCHARGE_DELAY=0.1 ; delay after throttle lift
DISCHARGE_DURATION=3.1 ; length of flame shooting, in seconds
DISCHARGE_PROBABILITY=1; chance of flame shoot on lift, 1 is guaranteed, 0 is never
DISCHARGE_INTENSITY=5; flame size
DISCHARGE_RPM_THRESHOLD_MAX=9000 ; self explanatory
DISCHARGE_RPM_THRESHOLD_MIN=2000 ; self explanatory
DISCHARGE_WATER_TEMPERATURE_THRESHOLD=70
FLAT_SHIFT=1 ; on upshift
FLAT_SHIFT_COOLDOWN=0 ; after upshift
FLAT_SHIFT_DURATION=5 ; length of flame shooting, in seconds
FLAT_SHIFT_GAS_THRESHOLD=80 ; how much gas needs to be pressed on upshift for flame, 100 is wide open
FLAT_SHIFT_INTENSITY=5 ; flame size
FLAT_SHIFT_PROBABILITY=1 ; chance of flame shoot on upshift
FLAT_SHIFT_RPM_THRESHOLD=8500
LIMITER=1 ; on hitting the limiter
LIMITER_DELAY=0 ; delay, in seconds
LIMITER_INTENSITY=5 ; flame size
LIMITER_RPM_THRESHOLD=2000 ; limiter flames will not shoot below this rpm


[REAL_MIRROR_0]
FOV=13
ROTATION=0.06, 0.07

[REAL_MIRROR_1]
FOV=14
ROTATION=0, -0.04

[REAL_MIRROR_2]
FOV=13
ROTATION=-0.11, 0.07

[BASIC]
BOUNDING_SPHERE_RADIUS=3
BRAKES_THRESHOLD=0.01
ENGINE_STALLED_RPM_THRESHOLD=1
EXTERIOR_RANGE_FROM=1
EXTERIOR_RANGE_TO=1.1
HAZARD_LIGHTS_ENGINE_LIFE_THRESHOLD=0.001
IS_LOW_BEAM_AVAILABLE=1
LIGHT_DAMAGE_SPEED_MAX=120
LIGHT_DAMAGE_SPEED_MIN=80
TURNING_LIGHTS_REPEAT=1



[LIGHTING]
INTERIOR_FAKE_UPPER_SHADOW_HEIGHT=0.04
INTERIOR_FAKE_UPPER_SHADOW_FADE=0.05
EMISSIVE_HEADLIGHTS_MULT=1.0
EMISSIVE_PARKINGLIGHTS_MULT=1
EMISSIVE_BRAKELIGHTS_MULT=1.0

[BOUNCED_BRAKE_LIGHTS]
ACTIVE=1
FADE_AT=200
FADE_SMOOTH=50
FALLOFF=0.7
GRADIENT_OFFSET=0.8
MULT=1, 1, 1, 1
OFFSET=7

[BOUNCED_HEADLIGHTS]
ACTIVE=1
FADE_AT=200
FADE_SMOOTH=50
FALLOFF=0.7
GRADIENT_OFFSET=0.8
MULT=1, 1, 1, 1
OFFSET=7

[BOUNCED_INTERIOR_LIGHT]
ACTIVE=1
DIRECTION=0,1,-2.4
MULT=1,1,1,0.2
OFFSET=0,-1,3
RANGE=3.2
RANGE_GRADIENT_OFFSET=0.9
SPOT=20
SPOT_SHARPNESS=0.9

[LIGHT_HEADLIGHT_0]
AFFECTS_TRACK=1
BOUND_EMISSIVE_MAX=500
BOUND_EXP=1
COLOR=1,0.8,0.4,20
DIFFUSE_CONCENTRATION=0.88
DIRECTION=0,-0.2,1
EXTERIOR_ONLY=0
FADE_AT=450
FADE_SMOOTH=50
INTERIOR_ONLY=0
LOWBEAM_RANGE_MAX=200
LOWBEAM_RANGE_MULT=0.8
LOWBEAM_RANGE_ONCOMING_MULT=0.4
MIRROR=0.5
POSITION=0,0.563889,1.8
RANGE=240
RANGE_GRADIENT_OFFSET=0
SECOND_SPOT=120
SECOND_SPOT_INTENSITY=0.21
SECOND_SPOT_RANGE=16
SECOND_SPOT_SHARPNESS=0.5
SECOND_SPOT_SKIP=0.3
SPECULAR_MULT=1
SPOT=50
SPOT_EDGE=0.12,0.12,0.12
SPOT_EDGE_SHARPNESS=10
SPOT_SHARPNESS=0
SPOT_UP=0, 1, 0

[EMISSIVE_LIGHT_0]			
NAME=GEO_Details_SUB12			; LCD screen
COLOR=2,2,2,0.75
SIMULATE_HEATING=0
LAG=0.8

[EMISSIVE_REVERSE_0]
NAME=tail_reverse_light_lod0		; reverse bulb		
COLOR=10,8,4
LAG=0.9
SIMULATE_HEATING=0.0

[EMISSIVE_REVERSE_1]
NAME=tail_glass_reverse			; reverse lens			
COLOR=10,8,4
LAG=0.9
SIMULATE_HEATING=0.0

[EMISSIVE_HAZARD_0]
NAME=HAZARD				; hazard switch light
COLOR=10,0,0
LAG=0.8
SIMULATE_HEATING=0.0

---------------------------------------------------------------------- turn signals --------------------------------------------------------------------

[LIGHT_TURNSIGNAL_LEFT_0]
COLOR=1, 0.3, -0.05, 3

[EMISSIVE_TURNSIGNAL_LEFT_0]

NAME=bumperFb_indicator_left 		; front indicator bulb L 
COLOR=40,8,-2
FALLBACK_HEADLIGHTS_COLOR=10,2,-2
LAG=0.8
SIMULATE_HEATING=0.0
LOCATION=FRONT
CAST_LIGHT=1

[EMISSIVE_TURNSIGNAL_LEFT_1]

NAME=bumperfb_detail_glass_amber_L	; front indicator lens L
COLOR=20,4,-2
FALLBACK_HEADLIGHTS_COLOR=2,2,-2 
LAG=0.8
SIMULATE_HEATING=0.0
LOCATION=FRONT
CAST_LIGHT=0

[LIGHT_TURNSIGNAL_LEFT_1]
COLOR=1, 0.3, -0.05, 3

[EMISSIVE_TURNSIGNAL_LEFT_2]

NAME=body_indicator_left 		; side indicator L 
COLOR=40,8,-2
LAG=0.8
SIMULATE_HEATING=0.0
LOCATION=SIDE
CAST_LIGHT=1

[LIGHT_TURNSIGNAL_LEFT_2]
COLOR=1, 0.3, -0.05, 3

[EMISSIVE_TURNSIGNAL_LEFT_3]

NAME=tail_indicator_left		; rear indicator bulb L
COLOR=20,4,-2
LAG=0.8
SIMULATE_HEATING=0.0
LOCATION=REAR
CAST_LIGHT=1

[EMISSIVE_TURNSIGNAL_LEFT_4]

NAME=tail_glass_blink_l			; rear indicator lens L
COLOR=20,4,-2
LAG=0.8
SIMULATE_HEATING=0.0
LOCATION=NONE


[LIGHT_TURNSIGNAL_RIGHT_0]
COLOR=1, 0.3, -0.05, 3

[EMISSIVE_TURNSIGNAL_RIGHT_0]

NAME=bumperFb_indicator_right		; front indicator bulb R 
COLOR=40,8,-2
FALLBACK_HEADLIGHTS_COLOR=10,2,-2
LAG=0.8
SIMULATE_HEATING=0.0
LOCATION=FRONT
CAST_LIGHT=1

[EMISSIVE_TURNSIGNAL_RIGHT_1]

NAME=bumperfb_detail_glass_amber_R	; front indicator lens R
COLOR=20,4,-2
FALLBACK_HEADLIGHTS_COLOR=2,2,-2
LAG=0.8
SIMULATE_HEATING=0.0
LOCATION=FRONT
CAST_LIGHT=0

[LIGHT_TURNSIGNAL_RIGHT_1]
COLOR=1, 0.3, -0.05, 3

[EMISSIVE_TURNSIGNAL_RIGHT_2]

NAME=body_indicator_right 		; side indicator R 
COLOR=40,8,-2
LAG=0.8
SIMULATE_HEATING=0.0
LOCATION=REAR
CAST_LIGHT=1

[LIGHT_TURNSIGNAL_RIGHT_2]
COLOR=1, 0.3, -0.05, 3

[EMISSIVE_TURNSIGNAL_RIGHT_3]

NAME=tail_indicator_right		; rear indicator bulb L
COLOR=20,4,-2
LAG=0.8
SIMULATE_HEATING=0.0
LOCATION=REAR
CAST_LIGHT=1

[EMISSIVE_TURNSIGNAL_RIGHT_4]

NAME=tail_glass_blink_r			; rear indicator lens R
COLOR=20,4,-2
LAG=0.8
SIMULATE_HEATING=0.0
LOCATION=NONE

--------------------------------------------------------------------------------------------------------------------------------------------------------

[LIGHT_EXTRA_0]
BIND_TO_HEADLIGHTS=0
BIND_TO_EXTRA_A=1			; headlights inner L
COLOR=1,0.8,0.4,1.0 
LINE_FROM=0.35,0.18,2.9
LINE_TO=0.35,4,40
DIRECTION=0,-1,0
FADE_AT=40
FADE_SMOOTH=10
RANGE=4
RANGE_GRADIENT_OFFSET=0.3
SPOT=160
SPOT_SHARPNESS=0.9
SPECULAR_MULT=0
SELF_LIGHTNING=1
EXTERIOR_ONLY=0
INTERIOR_ONLY=0
LAG=0.8

[LIGHT_EXTRA_1]
BIND_TO_HEADLIGHTS=0
BIND_TO_EXTRA_A=1			; headlights inner R
COLOR=1,0.8,0.4,2.0 
LINE_FROM=-0.35,0.18,2.9
LINE_TO=-0.35,4,40
DIRECTION=0,-1,0
FADE_AT=40
FADE_SMOOTH=10
RANGE=4
RANGE_GRADIENT_OFFSET=0.3
SPOT=160
SPOT_SHARPNESS=0.9
SPECULAR_MULT=0
SELF_LIGHTNING=1
EXTERIOR_ONLY=0
INTERIOR_ONLY=0
LAG=0.8

[EMISSIVE_EXTRA_A_0]			
NAME=HDL_fullbeam			; headlights inner
COLOR=40,30,15
SIMULATE_HEATING=0
LOCATION=FRONT
ACT_AS_HEADLIGHTS=1
LAG=0.8

[LIGHT_LICENSEPLATE]
MESHES=Plate_D_rear
OFFSET=0.0, 0.02, -0.05 
RANGE=0.3
RANGE_GRADIENT_OFFSET=0.3
SPOT=140
SPOT_SHARPNESS=0.7
COLOR=1.0,0.8,0.4,1.5
LAYOUT=TWO_ON_TOP

--------------------------------------------------------------------------------------------------------------------------------------------------------

[EMISSIVE_EXTRA_B_0]			
NAME=INT_domelight			
COLOR=20,15,8,0.6
SIMULATE_HEATING=0
LOCATION=FRONT
ACT_AS_HEADLIGHTS=1
LAG=0.9

[LIGHT_EXTRA_2]
BIND_TO_EXTRA_B=1
COLOR=1.0,0.8,0.5,30
DIFFUSE_CONCENTRATION=0.88
EXTERIOR_ONLY=0
INTERIOR_ONLY=0
FADE_AT=5
FADE_SMOOTH=5
MIRROR=0
POSITION=0.0,1.25,0.27 
DIRECTION=0,-1,0
RANGE=0.95
RANGE_GRADIENT_OFFSET=0.01
SPECULAR_MULT=3
SPOT=150
SPOT_SHARPNESS=0.6
LAG=0.9 

------------------------------------------------------------------------ odometer -----------------------------------------------------------------------

[ODOMETER_TRIP]
NAME=INT_gauge_emissive
FONT=odometer_font
BLEND_MODE=1
POSITION=345,170			 
SIZE=80,17.5			 
DIGIT_WIDTH=10				 
COUNT=4
BACKGROUND=0,0,0
COLOR=10,10,10
JITTER=0.03
MOVEMENT_INTERVAL=1
LAST_DIGIT_BACKGROUND=0,0,0
LAST_DIGIT_BACKGROUND_LOCATION=410,170
LAST_DIGIT_COLOR=10,0.9,-0.1,0.6
UPPER_BOUND=999999
OUTPUT_MULT=10

[ODOMETER_MAIN]
NAME=INT_gauge_emissive
FONT=odometer_font
BLEND_MODE=1
POSITION=353,81.5			 
SIZE=65,20			 
DIGIT_WIDTH=10				 
COUNT=5
BACKGROUND=0,0,0
COLOR=10,10,10
JITTER=0.07
MOVEMENT_INTERVAL=10
UPPER_BOUND=999999
OUTPUT_MULT=1